/***************************************************************************
 * GTKlxsplit                                                              *
 *                                                                         *
 * Copyright (C) 2004 Juan Jose Medina Olarte                              *
 *                                                                         *
 * This program is free software; you can redistribute it and/or modify    *
 * it under the terms of the GNU General Public License as published by    *
 * the Free Software Foundation; either version 2 of the License, or (at   *
 * your option) any later version.                                         *
 *                                                                         *
 * This program is distributed in the hope that it will be useful, but     *
 * WITHOUT ANY WARRANTY; without even the implied warranty of              *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU        *
 * General Public License for more details.                                *
 *                                                                         *
 * You should have received a copy of the GNU General Public License       *
 * along with this program; if not, write to the Free Software             *
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA *
 *                                                                         *
 ***************************************************************************/

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>

#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>



static GtkWidget *about;
static GtkWidget *vbox1;
static GtkWidget *hbox1;
static GtkWidget *label1;
static GtkWidget *hbox2;
static GtkWidget *label2;
static GtkWidget *hbox5;
static GtkWidget *label3;
static GtkWidget *hbox3;
static GtkWidget *hbox4;
static GtkWidget *button1;


static void CloseConfig(GtkWidget *widget, gpointer data)
{
gtk_widget_destroy( GTK_WIDGET (data) );
}


static void ClosingConfig(GtkWidget *widget, gpointer data)
{
gtk_grab_remove( GTK_WIDGET (widget) );
}


void About()
{
  about = gtk_window_new (GTK_WINDOW_DIALOG);
  gtk_object_set_data (GTK_OBJECT (about), "about", about);
  gtk_window_set_title (GTK_WINDOW (about),  "About GTKlxsplit ...");
  gtk_window_set_position (GTK_WINDOW (about), GTK_WIN_POS_MOUSE);
  gtk_signal_connect (GTK_OBJECT (about), "destroy", GTK_SIGNAL_FUNC(ClosingConfig), &about);

  vbox1 = gtk_vbox_new (FALSE, 0);
  gtk_widget_ref (vbox1);
  gtk_object_set_data_full (GTK_OBJECT (about), "vbox1", vbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox1);
  gtk_container_add (GTK_CONTAINER (about), vbox1);

  hbox1 = gtk_hbox_new (FALSE, 0);
  gtk_widget_ref (hbox1);
  gtk_object_set_data_full (GTK_OBJECT (about), "hbox1", hbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox1);
  gtk_box_pack_start (GTK_BOX (vbox1), hbox1, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (hbox1), 5);

  label1 = gtk_label_new ("GTKlxsplit version  0.0.1  By Juan Jose Medina Olarte");
  gtk_widget_ref (label1);
  gtk_object_set_data_full (GTK_OBJECT (about), "label1", label1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label1);
  gtk_box_pack_start (GTK_BOX (hbox1), label1, FALSE, FALSE, 5);

  hbox2 = gtk_hbox_new (FALSE, 0);
  gtk_widget_ref (hbox2);
  gtk_object_set_data_full (GTK_OBJECT (about), "hbox2", hbox2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox2);
  gtk_box_pack_start (GTK_BOX (vbox1), hbox2, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (hbox2), 5);

  label2 = gtk_label_new ("GTKlxsplit is a graphical user interface for the lxsplit program create\nby Richard Stellingwerff and its part of the hjsplit programs suite. ");
  gtk_widget_ref (label2);
  gtk_object_set_data_full (GTK_OBJECT (about), "label2", label2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label2);
  gtk_box_pack_start (GTK_BOX (hbox2), label2, FALSE, FALSE, 5);

  hbox5 = gtk_hbox_new (FALSE, 0);
  gtk_widget_ref (hbox5);
  gtk_object_set_data_full (GTK_OBJECT (about), "hbox5", hbox5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox5);
  gtk_box_pack_start (GTK_BOX (vbox1), hbox5, TRUE, TRUE, 0);

  label3 = gtk_label_new ("(C) 2004 , developed on GPL license");
  gtk_widget_ref (label3);
  gtk_object_set_data_full (GTK_OBJECT (about), "label3", label3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label3);
  gtk_box_pack_start (GTK_BOX (hbox5), label3, FALSE, FALSE, 5);

  hbox3 = gtk_hbox_new (FALSE, 0);
  gtk_widget_ref (hbox3);
  gtk_object_set_data_full (GTK_OBJECT (about), "hbox3", hbox3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox3);
  gtk_box_pack_start (GTK_BOX (vbox1), hbox3, TRUE, TRUE, 0);

  hbox4 = gtk_hbox_new (FALSE, 0);
  gtk_widget_ref (hbox4);
  gtk_object_set_data_full (GTK_OBJECT (about), "hbox4", hbox4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox4);
  gtk_box_pack_start (GTK_BOX (hbox3), hbox4, TRUE, TRUE, 0);

  button1 = gtk_button_new_with_label (" OK, I Agree!");
  gtk_widget_ref (button1);
  gtk_object_set_data_full (GTK_OBJECT (about), "button1", button1,
                            (GtkDestroyNotify) gtk_widget_unref);
  
  GTK_WIDGET_SET_FLAGS(button1, GTK_CAN_DEFAULT);

  gtk_signal_connect (GTK_OBJECT (button1), "clicked", GTK_SIGNAL_FUNC(CloseConfig), about);
  gtk_widget_show (button1);
  gtk_box_pack_start (GTK_BOX (hbox4), button1, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (button1), 5);



  gtk_widget_show (about);
  
  gtk_grab_add(about);
  gtk_widget_grab_default (button1);

}
